{ pkgs, config, ... }: 
{
  services.roundcube = {
   enable = config.system.mailserver.enable;
   hostName = "mail.${config.domains.p2}";
   extraConfig = ''
     $config['smtp_server'] = "tls://mx.${config.domains.p1}";
     $config['smtp_user'] = "%u";
     $config['smtp_pass'] = "%p";
   '';
  };
}
